--- tools\build\src\tools\intel-win.jam.org	Wed Apr 22 15:36:26 2020
+++ tools\build\src\tools\intel-win.jam	Wed Apr 07 10:42:01 2021
@@ -176,11 +176,14 @@
         root = $(root)/ ;
     }
 
+#    root = "C:/Program Files (x86)/Intel/oneAPI/compiler/2021.1.1/env";
+    root = "C:/Program Files (x86)/Intel/oneAPI/compiler/2021.2.0/env" ;
+
     local setup ;
-    setup = [ path.glob $(root) : iclvars_*.bat ] ;
+    setup = [ path.glob $(root) : vars_*.bat ] ;
     if ! $(setup)
     {
-       setup = [ path.join $(root) "iclvars.bat" ] ;
+       setup = [ path.join $(root) "vars.bat" ] ;
        setup = [ path.native $(setup) ] ;
     }
 
@@ -498,6 +501,8 @@
 .iclvars-18.0-supported-vcs = "14.1 14.0 12.0 11.0 10.0" ;
 .iclvars-19.0-supported-vcs = "14.2 14.1 14.0 12.0" ;
 .iclvars-19.1-supported-vcs = "14.2 14.1 14.0 12.0" ;
+.iclvars-2021.1-supported-vcs = "14.2 14.1 14.0" ;
+.iclvars-2021.2-supported-vcs = "14.2 14.1 14.0" ;
 .iclvars-version-alias-vc14.2 = vs2019 ;
 .iclvars-version-alias-vc14.1 = vs2017 ;
 .iclvars-version-alias-vc14 = vs2015 ;
